View Issue Details

IDProjectCategoryView StatusLast Update
0005088Talermerchant frontend (blog)public2017-10-18 15:42
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.4Fixed in Version0.4 
Summary0005088: Implement refunds
DescriptionEvery fulfillment page must show a "refund" button that will trigger the refund logic.
TagsNo tags attached.

Activities

Marcello Stanisci

2017-06-21 17:42

manager   ~0012262

Last edited: 2017-06-22 11:03

View 4 revisions

(1) WARNING: on some transactions generated by the payment generator tool, it was possible to issue refunds bigger than the contract value.

(2) HINT: although payment generator has KUDOS:0.5 worth contracts, the deposit goes always for the coin value, which is ~KUDOS:5.0. At least, this
unblames the /refund logic

(3) SOLVED: the payment generator is "wrong": each coin's contribution to the contract's total amount is manually specified, and the math was simply wrong. Not a terrible bug though, we just voluntarily paid more! However, this was cause by me assuming that the TALER_MERCHANT_pay_wallet() would have done the math, as it takes the contract total amount among its parameters -- but then totally ignores it. So the question here is if we want to keep this parameter around...

Marcello Stanisci

2017-06-22 18:45

manager   ~0012265

Finished in 46d89d1; available on 'test'.

Issue History

Date Modified Username Field Change
2017-06-20 20:27 Marcello Stanisci New Issue
2017-06-20 20:27 Marcello Stanisci Assigned To => Marcello Stanisci
2017-06-20 20:27 Marcello Stanisci Status new => assigned
2017-06-20 20:27 Marcello Stanisci Target Version => 0.4
2017-06-21 17:42 Marcello Stanisci Note Added: 0012262
2017-06-21 18:31 Marcello Stanisci Note Edited: 0012262 View Revisions
2017-06-22 11:00 Marcello Stanisci Note Edited: 0012262 View Revisions
2017-06-22 11:03 Marcello Stanisci Note Edited: 0012262 View Revisions
2017-06-22 18:45 Marcello Stanisci Status assigned => resolved
2017-06-22 18:45 Marcello Stanisci Resolution open => fixed
2017-06-22 18:45 Marcello Stanisci Note Added: 0012265
2017-06-29 12:17 Christian Grothoff Fixed in Version => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed